Inhalte
Index 🔎︎

# Anweisung Write

Schreibt Daten in eine sequenzielle Datei.

## Syntax:

    Write [#Dateiname], [Ausdrucksliste]

## Parameter:

Dateiname: Ein beliebiger numerischer Ausdruck, der die von der Anweisung Open für die jeweilige Datei gesetzte Dateinummer enthält.

Ausdrucksliste: Durch Kommata getrennte in die Datei zu schreibende Variablen oder Ausdrücke.

Wird die Ausdrucksliste nicht mit angegeben, fügt die Anweisung Write der Datei eine Leerzeile hinzu.

Um eine Ausdrucksliste in eine neue oder bestehende Datei zu schreiben, muss die Datei im Modus Output oder Append geöffnet sein.

Von Ihnen eingegebenen Zeichenketten werden in Anführungszeichen eingeschlossen und durch Kommata getrennt. Sie brauchen diese Trennzeichen also nicht in die Ausdrucksliste einzugeben.

Als letzten Eintrag geben alle Anweisungen Write ein Symbol für Zeilenende aus.

Zahlen mit Dezimaltrennzeichen werden gemäß dem eingestellten Gebietsschema konvertiert.

## Beispiel:

    Sub ExampleWrite
    Dim iCount As Integer
    Dim sValue As String
        iCount = Freefile
        Open "C:\data.txt" For Output As iCount
        sValue = "Hamburg"
        Write #iCount,sValue,200
        sValue = "New York"
        Write #iCount,sValue,300
        sValue = "Miami"
        Write #iCount,sValue,450
        Close #iCount
    End Sub